Bloss Docs

List support tickets

Developers
GET
/brands/{brandId}/support-tickets

The support tickets creators sent the brand, newest first, as on Support Tickets. Filter by status.

Authorization

bearerAuth support:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: support:read

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Query Parameters

limit?integer

Page size, 1–100. Default 50.

Range1 <= value <= 100
Default50
cursor?string

The nextCursor from the previous page. Omit for the first page.

Length1 <= length
status?string

Only tickets in this state. Default: all.

Value in"open""in_progress""resolved""closed"

Response Body

Success.

application/json
  1. response
data*array<>
nextCursor*|

Pass as cursor to get the next page; null on the last page.

curl -X GET 'https://example.com/api/v1/brands/string/support-tickets'
{  "data": [    {      "id": "string",      "creatorId": "string",      "subject": "string",      "message": "string",      "status": "open",      "priority": "string",      "source": "creator",      "createdAt": "string"    }  ],  "nextCursor": "string"}

Was this page helpful?